Package org.postgresql.replication.fluent.logical

# Interface LogicalReplicationOptions

All Superinterfaces:
  `CommonOptions`

All Known Implementing Classes:
  `LogicalStreamBuilder`

public interface LogicalReplicationOptions extends CommonOptions

## Method Summary

Modifier and Type
Method
Description
`@Nullable String`
`getSlotName()`
Required parameter for logical replication.
`Properties`
`getSlotOptions()`
Parameters for output plugin.

### Methods inherited from interface org.postgresql.replication.fluent.CommonOptions

`getStartLSNPosition, getStatusInterval`

## Method Details

### getSlotName

@Nullable String getSlotName()
Required parameter for logical replication.

Specified by:
  `getSlotName` in interface `CommonOptions`
Returns:
  not null logical replication slot name that already exists on server and free.

### getSlotOptions

Properties getSlotOptions()
Parameters for output plugin. Parameters will be set to output plugin that register for specified replication slot name.

Returns:
  list options that will be pass to output_plugin for that was create replication slot